complexType "FormulaComponent"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
name | = | xsd:normalizedString
| >
Content: | componentDescription?, formula?
</...>

Content Model Elements (2):

  componentDescription, | formula (in formulaComponent)

All Direct / Indirect Based Elements (1):

  formulaComponent

Known Usage Locations

- As direct type of elements (1):
  formulaComponent

Annotation
Elements describing the components of the formula. The name attribute points to a value used in the math element. The href attribute points to a numeric value defined elsewhere in the document that is used by the formula component.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FormulaComponent"> <xsd:sequence> <xsd:element minOccurs="0" name="componentDescription" type="xsd:string"/> <xsd:element minOccurs="0" name="formula" type="Formula"/> </xsd:sequence> <xsd:attribute name="name" type="xsd:normalizedString"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
name

  Type: | xsd:normalizedString, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="name" type="xsd:normalizedString"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
componentDescription

  Type: | xsd:string, predefined, simple content

  Text description of the component
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="componentDescription" type="xsd:string"/>

formula

  Type: | Formula, complex content

  Additional formulas required to describe this component
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="formula" type="Formula"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.